### A free/open-source library for quantitative finance

FlatHazardRate Class Reference

Flat hazard-rate curve. More...

`#include <ql/termstructures/credit/flathazardrate.hpp>`

Inheritance diagram for FlatHazardRate:
[legend]

List of all members.

## Public Member Functions

Constructors
| FlatHazardRate (const Date &referenceDate, const Handle< Quote > &hazardRate, const DayCounter &)
| FlatHazardRate (const Date &referenceDate, Rate hazardRate, const DayCounter &)
| FlatHazardRate (Natural settlementDays, const Calendar &calendar, const Handle< Quote > &hazardRate, const DayCounter &)
| FlatHazardRate (Natural settlementDays, const Calendar &calendar, Rate hazardRate, const DayCounter &)
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values

## Detailed Description

Flat hazard-rate curve.